Get app by ID

View as MarkdownOpen in Claude
Retrieves the details for a boarding application by ID.

Path parameters

appIdintegerRequired
Boarding application ID.

Response

Success
annualRevenuedoubleOptional
Annual revenue amount.
averageMonthlyVolumedoubleOptional
Average total amount of transactions in your local currency that are processed each month.
averageTicketAmountdoubleOptional

The average transaction size that the business expects to process. For example, if you process $10,000 a month across 10 transactions, that’s an average ticket of $1000.

bAddress1stringOptional
Business address. This must be a physical address, not a P.O. box.
bAddress2stringOptional
Business address additional line. If used, this must be the physical address of the business, not a P.O. box.
bankDatalist of objectsOptional
Information about associated bank accounts.
bCitystringOptional
Business city.
bCountrystringOptional

Business country in ISO-3166-1 alpha 2 format. See ISO 3166-1 for more information.

bFaxstringOptional
The business's fax number.
binPersonintegerOptional

Numeric percent of volume processed in person. To pass validation, binperson, binweb, and binphone must total 100 together.

binPhoneintegerOptional

Numeric percent of volume processed by phone. To pass validation, binperson, binweb, and binphone must total 100 together.

binWebintegerOptional

Numeric percent of volume processed on web. To pass validation, binperson, binweb, and binphone must total 100 together.

boardingLinkIdintegerOptional

The boarding link ID. This is found at the end of the boarding link reference name. For example: https://boarding.payabli.com/boarding/app/myorgaccountname-00091. The ID is 91.

boardingStatusintegerOptional

The application’s status in the merchant boarding process. See Boarding Status Reference for more.

boardingSubStatusintegerOptional

The application’s status in the merchant boarding process. See Boarding Status Reference for more.

bPhonestringOptional
Business phone number.
bStartdatestringOptional

Business start date. Accepted formats:

  • YYYY-MM-DD
  • MM/DD/YYYY
bStatestringOptional
Business state.
bSummarystringOptional
A summary of what the business sells in terms of goods or services.
builderDataobjectOptional
bZipstringOptional
Business ZIP.
contactDatalist of objectsOptional
List of contacts.
createdAtdatetimeOptional
Timestamp of when record was created, in UTC.
dbaNamestringOptional
The alternate or common name that this business is doing business under, usually referred to as a DBA name.
documentsRefobjectOptional
einstringOptional
Business EIN or tax ID. This value is masked in API responses.
externalPaypointIdstringOptional
A custom identifier for the paypoint, if applicable.
generalEventslist of objectsOptional
Events associated with the application.
highTicketAmountdoubleOptional
Highest ticket amount.
idApplicationintegerOptional
Boarding application ID.
lastModifieddatetimeOptional
Timestamp of when record was last updated, in UTC.
legalNamestringOptional
Business legal name.
licensestringOptional
Business license ID or state ID number.
licenseStatestringOptional
Business license issuing state or province.
mAddress1stringOptional
The business's mailing address.
mAddress2stringOptional
Additional line for the business's mailing address.
mccidstringOptional
mCitystringOptional
The business's mailing address state.
mCountrystringOptional
Business mailing country.
messageslist of objectsOptional
mStatestringOptional
The business's mailing address state.
mZipstringOptional
Business mailing ZIP.
orgIdlongOptional
Organization ID. Unique identifier assigned to an org by Payabli.
orgParentNamestringOptional
The name of the parent organization.
ownerDatalist of objectsOptional

List of Owners with at least a 25% ownership.

ownTypeenumOptional
The business ownership type.
pageidentifierstringOptional
Auxiliary validation used internally by payment pages and components.
recipientEmailNotificationbooleanOptional

When true, Payabli will send the applicant a boarding link. Set this value to false if you are sending pre-filled applications via the API and don’t want Payabli to send the applicant an email to complete the boarding application.

resumablebooleanOptional

When true, the applicant can save an incomplete application and resume it later. When false, the applicant won’t have an option to save their progress, and must complete the application in one session.

salesCodestringOptional
serviceDataobjectOptional
Controls which services will be enabled for the merchant.
signerobjectOptional
Information about the application's signer.
taxfillnamestringOptional
Business name in tax document. This is only relevant if a government entity has given you an alternative name to file tax documents with.
templateIdlongOptional
The associated boarding template's ID in Payabli.
websiteAddressstringOptional

The business website address. Include only the domain and TLD, do not enter the protocol (http/https). For example: www.example.com is acceptable.

whenchargedenumOptional
Describes when customers are charged for goods or services.
whendeliveredenumOptional
When goods and services are delivered.
whenProvidedenumOptional
Describes when goods or services are provided, from time of transaction.
whenrefundenumOptional
Describes the business refund policy.
additionalDatamap from strings to stringsOptional

Custom dictionary of key:value pairs. You can use this field to store any data related to the object or for your system. If you are using custom identifiers, pass those in this object. Max length for a value is 100 characters.

1{
2 "additionalData": {
3 "key1": "value1",
4 "key2": "value2",
5 "key3": "value3"
6 }
7}

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error